Nokia S60 Problem: Invalid Jar file / Ungültige Jar Datei

When I started to develop some software for my Nokia Navigator 6110 I repeatedly ran into the problem that my apps worked fine with the Symbian SDK S60Emulator but when I tried to install them on my device via Nokia Application Installer everything went fine until finally the device would say ‘Ungültige Jar Datei’ or ‘Invalid Jar file’ in English.

Nokia Navigator 6110

Nokia Navigator 6110

I updated my Navigator to the latest firmware version but the jars still would not run.

My fault was to use the wrong Symbian S60 SDK. And there are lots of SDKs.

At first I downloaded the S60 5th Edition SDK from the Symbian S60 SDK download site and the Jars would not work. Afterwards, I downloaded S60 3rd Edition F3 SDK and the Jars still would not work. Finally, I checked the edition and the feature pack of the Nokia Navigator 6110 and found out the correct ones: 3rd Edition Feature Pack 1. I downloaded the appropriate SDK and it worked. Thank goodness. Those SDKs are several hundred MBs big. You definitely need to be patient when you have such problems.

Thus, if you run into the same problems: check five times whether you picked the appropriate SDK for your Edition and Feature Pack.

And do not forget to add your midlet to the Application Descriptor.

Posted in J2ME, Java ME, Nokia Tagged with: eclipse me, J2ME, Java ME, Nokia, symbian sdk